SwiftStaticLibrary (Gradle API 8.14)
Description: declaration: package: org.gradle.language.swift, interface: SwiftStaticLibrary

Package org.gradle.language.swift

# Interface SwiftStaticLibrary

All Superinterfaces:
  `ComponentWithDependencies`, `ComponentWithLinkFile`, `ComponentWithLinkUsage`, `ComponentWithNativeRuntime`, `ComponentWithObjectFiles`, `ComponentWithOutputs`, `ComponentWithRuntimeUsage`, `ComponentWithStaticLibrary`, `Named`, `SoftwareComponent`, `SwiftBinary`

public interface SwiftStaticLibrary extends SwiftBinary, ComponentWithStaticLibrary, ComponentWithRuntimeUsage, ComponentWithLinkUsage, ComponentWithOutputs
A static library built from Swift source.

Since:
  4.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

  `getDependencies`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithLinkFile

  `getLinkFile, getLinkFileProducer`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithLinkUsage

  `getLinkElements`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

  `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

  `getObjects`

  ### Methods inherited from interface org.gradle.language.ComponentWithOutputs

  `getOutputs`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithRuntimeUsage

  `getRuntimeElements`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithStaticLibrary

  `getCreateTask`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

  ### Methods inherited from interface org.gradle.language.swift.SwiftBinary

  `getCompileModules, getCompileTask, getLinkLibraries, getModule, getModuleFile, getRuntimeLibraries, getSwiftSource, getTargetPlatform, isTestable`